Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.introspect
Class AnnotatedConstructor

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.Annotated
          com.fasterxml.jackson.databind.introspect.AnnotatedMember
              com.fasterxml.jackson.databind.introspect.AnnotatedWithParams
                  com.fasterxml.jackson.databind.introspect.AnnotatedConstructor

All Implemented Interfaces:
  Serializable

    public final class AnnotatedConstructor

extends AnnotatedWithParams

See Also:
  Serialized Form

Field Summary
`protected Constructor<?>` | `_constructor`
`protected com.fasterxml.jackson.databind.introspect.AnnotatedConstructor.Serialization` | `_serialization` Field that is used to make JDK serialization work with this object.

Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedWithParams
`_paramAnnotations`

Fields inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`_annotations`

Constructor Summary
`protected` | `AnnotatedConstructor(com.fasterxml.jackson.databind.introspect.AnnotatedConstructor.Serialization ser)` Method used for JDK serialization support
`` | `AnnotatedConstructor(Constructor<?> constructor, AnnotationMap classAnn, AnnotationMap[] paramAnn)`

Method Summary
`Object` | `call()` Method that can be used to (try to) call this object without arguments.
`Object` | `call(Object[] args)` Method that can be used to (try to) call this object with specified arguments.
`Object` | `call1(Object arg)` Method that can be used to (try to) call this object with single arguments.
`Constructor<?>` | `getAnnotated()` Method that can be used to find actual JDK element that this instance represents.
`Class<?>` | `getDeclaringClass()`
`Type` | `getGenericParameterType(int index)`
`Type` | `getGenericType()` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
`Member` | `getMember()`
`int` | `getModifiers()`
`String` | `getName()`
`int` | `getParameterCount()`
`Class<?>` | `getRawParameterType(int index)`
`Class<?>` | `getRawType()` "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
`JavaType` | `getType(TypeBindings bindings)` As per [JACKSON-468], we need to also allow declaration of local type bindings; mostly it will allow defining bounds.
`Object` | `getValue(Object pojo)` Optional method that can be used to access the value of this member on given object, if this is a supported operation for member type.
`void` | `setValue(Object pojo, Object value)` Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.
`String` | `toString()`
`AnnotatedConstructor` | `withAnnotations(AnnotationMap ann)` Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedWithParams
`addOrOverrideParam, getAnnotation, getAnnotationCount, getParameter, getParameterAnnotations, getType, replaceParameterAnnotations, resolveParameterType`

Methods inherited from class com.fasterxml.jackson.databind.introspect.AnnotatedMember
`addIfNotPresent, addOrOverride, fixAccess, getAllAnnotations`

Methods inherited from class com.fasterxml.jackson.databind.introspect.Annotated
`hasAnnotation, isPublic, withFallBackAnnotationsFrom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _constructor

    protected final Constructor<?> _constructor

### _serialization

    protected com.fasterxml.jackson.databind.introspect.AnnotatedConstructor.Serialization _serialization

  Field that is used to make JDK serialization work with this object.

  Since:
    2.1

Constructor Detail

### AnnotatedConstructor

    public AnnotatedConstructor(Constructor<?> constructor,
                                AnnotationMap classAnn,
                                AnnotationMap[] paramAnn)

### AnnotatedConstructor

    protected AnnotatedConstructor(com.fasterxml.jackson.databind.introspect.AnnotatedConstructor.Serialization ser)

  Method used for JDK serialization support

  Since:
    2.1

Method Detail

### withAnnotations

    public AnnotatedConstructor withAnnotations(AnnotationMap ann)

  Description copied from class: `Annotated`
  Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

  Specified by:
    `withAnnotations` in class `Annotated`

### getAnnotated

    public Constructor<?> getAnnotated()

  Description copied from class: `Annotated`
  Method that can be used to find actual JDK element that this instance represents. It is non-null, except for method/constructor parameters which do not have a JDK counterpart.

  Specified by:
    `getAnnotated` in class `Annotated`

### getModifiers

    public int getModifiers()

  Specified by:
    `getModifiers` in class `Annotated`

### getName

    public String getName()

  Specified by:
    `getName` in class `Annotated`

### getGenericType

    public Type getGenericType()

  Description copied from class: `Annotated`
  Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

  Specified by:
    `getGenericType` in class `Annotated`

### getRawType

    public Class<?> getRawType()

  Description copied from class: `Annotated`
  "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.

  Specified by:
    `getRawType` in class `Annotated`

### getType

    public JavaType getType(TypeBindings bindings)

  As per [JACKSON-468], we need to also allow declaration of local type bindings; mostly it will allow defining bounds.

  Overrides:
    `getType` in class `Annotated`

### getParameterCount

    public int getParameterCount()

  Specified by:
    `getParameterCount` in class `AnnotatedWithParams`

### getRawParameterType

    public Class<?> getRawParameterType(int index)

  Specified by:
    `getRawParameterType` in class `AnnotatedWithParams`

### getGenericParameterType

    public Type getGenericParameterType(int index)

  Specified by:
    `getGenericParameterType` in class `AnnotatedWithParams`

### call

    public final Object call()
                      throws Exception

  Description copied from class: `AnnotatedWithParams`
  Method that can be used to (try to) call this object without arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Specified by:
    `call` in class `AnnotatedWithParams`
  Throws:
    `Exception`

### call

    public final Object call(Object[] args)
                      throws Exception

  Description copied from class: `AnnotatedWithParams`
  Method that can be used to (try to) call this object with specified arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Specified by:
    `call` in class `AnnotatedWithParams`
  Throws:
    `Exception`

### call1

    public final Object call1(Object arg)
                       throws Exception

  Description copied from class: `AnnotatedWithParams`
  Method that can be used to (try to) call this object with single arguments. This may succeed or fail, depending on expected number of arguments: caller needs to take care to pass correct number. Exceptions are thrown directly from actual low-level call.

  Note: only works for constructors and static methods.

  Specified by:
    `call1` in class `AnnotatedWithParams`
  Throws:
    `Exception`

### getDeclaringClass

    public Class<?> getDeclaringClass()

  Specified by:
    `getDeclaringClass` in class `AnnotatedMember`

### getMember

    public Member getMember()

  Specified by:
    `getMember` in class `AnnotatedMember`

### setValue

    public void setValue(Object pojo,
                         Object value)
                  throws UnsupportedOperationException

  Description copied from class: `AnnotatedMember`
  Optional method that can be used to assign value of this member on given object, if this is a supported operation for member type.

  This is implemented for fields and single-argument member methods; but not for constructor parameters or other types of methods (like static methods)

  Specified by:
    `setValue` in class `AnnotatedMember`
  Throws:
    `UnsupportedOperationException`

### getValue

    public Object getValue(Object pojo)
                    throws UnsupportedOperationException

  Description copied from class: `AnnotatedMember`
  Optional method that can be used to access the value of this member on given object, if this is a supported operation for member type.

  This is implemented for fields and no-argument member methods; but not for constructor parameters or other types of methods (like static methods)

  Specified by:
    `getValue` in class `AnnotatedMember`
  Throws:
    `UnsupportedOperationException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.